Loading...
Searching...
No Matches
WGPUTextureViewDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | label
WGPUTextureFormat | format
WGPUTextureViewDimension | dimension
uint32_t | baseMipLevel
uint32_t | mipLevelCount
uint32_t | baseArrayLayer
uint32_t | arrayLayerCount
WGPUTextureAspect | aspect

## Detailed Description

Definition at line 1740 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUTextureViewDescriptor::nextInChain

Definition at line 1741 of file mini_webgpu.h.

## label

WGPU_NULLABLE char const* WGPUTextureViewDescriptor::label

Definition at line 1742 of file mini_webgpu.h.

## format

WGPUTextureFormat WGPUTextureViewDescriptor::format

Definition at line 1743 of file mini_webgpu.h.

## dimension

WGPUTextureViewDimension WGPUTextureViewDescriptor::dimension

Definition at line 1744 of file mini_webgpu.h.

## baseMipLevel

uint32_t WGPUTextureViewDescriptor::baseMipLevel

Definition at line 1745 of file mini_webgpu.h.

## mipLevelCount

uint32_t WGPUTextureViewDescriptor::mipLevelCount

Definition at line 1746 of file mini_webgpu.h.

## baseArrayLayer

uint32_t WGPUTextureViewDescriptor::baseArrayLayer

Definition at line 1747 of file mini_webgpu.h.

## arrayLayerCount

uint32_t WGPUTextureViewDescriptor::arrayLayerCount

Definition at line 1748 of file mini_webgpu.h.

## aspect

WGPUTextureAspect WGPUTextureViewDescriptor::aspect

Definition at line 1749 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h